package org.jcon.util.lock;

/**
 * A typical task that takes awhile to complete.
 * For simplicity all it does is block for 2 seconds.
 *
 * @author Jack Harich
 */
public class TestTask {

//---------- Private Fields ------------------------------

//---------- Public Methods ------------------------------
public void perform() {
    //print(".perform() - Working real hard....");
    try {
        // Perhaps randimize later ***
        Thread.currentThread().sleep(2000);

    } catch(InterruptedException ex) {
        // Ignore
    }
}
//---------- Private Methods -----------------------------
//--- Std
private static void print(String text) {
    System.out.println("TestTask" + text);
}

} // End class
